#
# spec file for package wxWidgets-docs (Version 2.8.11)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           wxWidgets-docs
Group:          System/Libraries
Url:            http://www.wxwidgets.org/
Summary:        wxWidgets Documentation
License:        GPL-2.0+
Version:        2.8.12
Release:        19.1
# %( exec >&2 ; cd %{_sourcedir} ; if ! test -f wxWidgets-%{version}-HTML.tar.bz2 ; then wget -N http://downloads.sourceforge.net/wxwindows/wxWidgets-%{version}-HTML.zip ; mkdir wxWidgets-HTML ; cd wxWidgets-HTML ; unzip ../wxWidgets-%{version}-HTML.zip ; tar -jcf ../wxWidgets-%{version}-HTML.tar.bz2 * ; cd .. ; rm -r wxWidgets-HTML ; fi )
Source:         wxWidgets-%{version}-HTML.tar.bz2
# %( exec >&2 ; cd %{_sourcedir} ; if ! test -f wxWidgets-%{version}-PDF.tar.bz2 ; then wget -N http://downloads.sourceforge.net/wxwindows/wxWidgets-%{version}-PDF.zip ; mkdir wxWidgets-PDF ; cd wxWidgets-PDF ; unzip ../wxWidgets-%{version}-PDF.zip ; tar -jcf ../wxWidgets-%{version}-PDF.tar.bz2 * ; cd .. ; rm -r wxWidgets-PDF ; fi )
Source1:        wxWidgets-%{version}-PDF.tar.bz2
Source2:        wxWidgets-docs-rpmlintrc
# Name up to 11.3 (was packaged together with wxPython documentation):
Provides:       wxGTK-doc = %{version}.0
Obsoletes:      wxGTK-doc < 2.8.11.0
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains wxWidgets documentation in HTML format.

%prep
%setup -q -T -c -a0 -a1

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_docdir}/wxWidgets
cp -r * $RPM_BUILD_ROOT%{_docdir}/wxWidgets
%fdupes $RPM_BUILD_ROOT%{_datadir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_docdir}/wxWidgets

%changelog
* Thu Jul 31 2014 dimstar@opensuse.org
- Rename rpmlintrc to %%{name}-rpmlintrc.
  Follow the packaging guidelines.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Fri Apr  8 2011 sbrabec@suse.cz
- Updated to version 2.8.12:
  * Documents version 2.8.12.
* Wed Dec  1 2010 sbrabec@suse.cz
- Rename package to wxWidgets-docs to follow upstream.
- Split wxPython documentation to a separate package.
* Sun Aug 15 2010 termim@gmail.com
- Updated to version 2.8.11.0:
  * documents wxGTK version 2.8.11
* Tue Feb  9 2010 prusnak@suse.cz
- build as noarch
* Fri Aug  7 2009 sbrabec@suse.cz
- Updated to version 2.8.10.1:
  * documents wxGTK version 2.8.10
* Wed Sep  3 2008 sbrabec@suse.cz
- Updated to version 2.8.8.1:
  * documents wxGTK version 2.8.8
* Fri Mar 28 2008 sbrabec@suse.cz
- Updated to version 2.8.7.1:
  * documents wxGTK version 2.8.7
* Tue Oct  2 2007 sbrabec@suse.cz
- Updated to version 2.8.6.0:
  * documents wxGTK version 2.8.6
- Commented out NoSource to provide comfortable rebuild.
- Require exact wxGTK* version to prevent installation of outdated
  documentation.
* Mon Aug  7 2006 sbrabec@suse.cz
- Updated to version 2.6.3.3.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 sbrabec@suse.cz
- Updated to version 2.6.2.1.
* Tue Aug  2 2005 sbrabec@suse.cz
- Updated to version 2.6.1.0.
* Wed Apr 27 2005 mcihar@suse.cz
- update to 2.6.0.0
* Thu Nov 18 2004 mcihar@suse.cz
- update to 2.5.3.1
* Thu Nov  4 2004 ro@suse.de
- remove binary from noarch package
* Tue Aug 31 2004 mcihar@suse.cz
- update to 2.5.2.8
* Mon Aug 16 2004 mcihar@suse.cz
- update to 2.5.2.7
- dropped wxGTK examples
* Tue Apr 13 2004 mcihar@suse.cz
- update to 2.5.1.5
* Thu Mar 18 2004 mcihar@suse.cz
- remove backup files (bug #36350)
* Thu Oct 16 2003 mcihar@suse.cz
- updated to 2.4.2.4
- do not use root for build
* Tue Sep  2 2003 mcihar@suse.cz
- python-wxGTK-examples now requires also python modules that demo requires
* Wed Aug 20 2003 mcihar@suse.cz
- created new package that contains docs, demos and examples for wxGTK
  and python-wxGTK packages
